<?php if (!have_posts()) { 
header("HTTP/1.1 404 Not Found");
include (TEMPLATEPATH . '/404.php');
return; } ?>
<?php get_header(); ?>
<?php $layout=get_option('re_layout_top');?>
<body <?php body_class(); ?>>

<div id="wrapper" class="<?php if(get_option('re_layout_top')) echo $layout; else echo 'column3'; ?>">
<div id="wrapper-inner">

<div id="page">
<div id="page-inner">

<div id="container">
<div id="container-inner" class="clearfix">

	<?php if (is_category()) { ?>
	<h1 class="page-title">
	<?php single_cat_title(); ?>の記事一覧
	</h1>

	<?php } elseif (is_tag()) { ?> 
	<h1 class="page-title">
	<?php single_tag_title(); ?>の記事一覧
	</h1>

	<?php } elseif (is_author()) { ?>
	<h1 class="page-title">
	<?php get_the_author_meta('display_name'); ?>の記事一覧
	</h1>

	<?php } elseif (is_day()) { ?>
	<h1 class="page-title">
	<?php the_time('Y年n月j日'); ?>の記事一覧
	</h1>

	<?php } elseif (is_month()) { ?>
	<h1 class="page-title">
	<?php the_time('Y年n月'); ?>の記事一覧
	</h1>

	<?php } elseif (is_year()) { ?>
	<h1 class="page-title">
	<?php the_time('Y年'); ?>の記事一覧
	</h1>
	<?php } ?>

<div id="contents">
<div id="contents-inner">

<div id="main" role="main">
<div id="main-inner">

		<?php $posts_per_page=get_option('re_posts_per_page-archive');?>
		<?php $paged = get_query_var('paged'); ?>
		<?php query_posts($query_string.'&posts_per_page='.$posts_per_page.'&paged='.$paged); ?>
		<?php
		if ( have_posts() ) : while ( have_posts() ) : the_post();
		?>
			<article class="post img-right clearfix" role="article">
				<div class="post-text">
				<header>
				<h1 class="h1"><div class="deco"><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></div></h1>
				</header>
				<div class="post-img">	
				<a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php if (has_post_thumbnail()) { the_post_thumbnail(); } ?></a>
				</div>
				<div class="post-content clearfix">
					<?php the_content("<span class='moretext'>「" . get_the_title('', '', false) . "」の続きを読む &raquo;</span>"); ?>
					<?php wp_link_pages(); ?>
				</div>
				<p class="meta"><time datetime="<?php echo the_time('Y-m-j'); ?>" pubdate><?php the_time('Y年m月d日（D）'); ?></time>｜<?php the_category(', '); ?></p>
				</div>
			</article>
		<?php
		endwhile;
		endif;
		?>

<nav class="tablenav"><?php global $wp_rewrite;
$paginate_base = get_pagenum_link(1);
if (strpos($paginate_base, '?') || ! $wp_rewrite->using_permalinks()) {
	$paginate_format = '';
	$paginate_base = add_query_arg('paged', '%#%');
} else {
	$paginate_format = (substr($paginate_base, -1 ,1) == '/' ? '' : '/') .
	user_trailingslashit('page/%#%/', 'paged');;
	$paginate_base .= '%_%';
}
echo paginate_links( array(
	'base' => $paginate_base,
	'format' => $paginate_format,
	'total' => $wp_query->max_num_pages,
	'mid_size' => 2,
	'current' => ($paged ? $paged : 1),
)); ?></nav>

</div><!-- /#main-inner -->
</div><!-- /#main -->

<!-- ▽サイドバー１ -->
<?php get_sidebar('1'); ?>
<!-- △サイドバー１ -->

</div><!-- /#contents-inner -->
</div><!-- /#contents -->

<!-- ▽サイドバー２ -->
<?php get_sidebar('2'); ?>
<!-- △サイドバー２ -->

</div><!-- /#container-inner -->
</div><!-- /#container -->

</div><!-- /#page-inner -->
</div><!-- /#page -->

<!-- ▼パンくずリスト -->
<div id="breadcrumbs"><div id="breadcrumbs-inner"><ol><li><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></li>
<li>
	<?php if (is_category()) { ?>
	<?php single_cat_title(); ?>の記事一覧

	<?php } elseif (is_tag()) { ?> 
	<?php single_tag_title(); ?>の記事一覧

	<?php } elseif (is_author()) { ?>
	<?php get_the_author_meta('display_name'); ?>の記事一覧

	<?php } elseif (is_day()) { ?>
	<?php the_time('Y年n月j日'); ?>の記事一覧

	<?php } elseif (is_month()) { ?>
	<?php the_time('Y年n月'); ?>の記事一覧

	<?php } elseif (is_year()) { ?>
	<?php the_time('Y年'); ?>の記事一覧
	<?php } ?>

</li></ol></div></div>
<!-- ▲パンくずリスト -->

<!-- ▽サイトタイトル、サイトの説明 -->
<?php include (TEMPLATEPATH . "/header.branding.php"); ?>
<!-- △サイトタイトル、サイトの説明 -->

<!-- ▽グローバルメニュー -->
<?php include (TEMPLATEPATH . "/menu.php"); ?>
<!-- △グローバルメニュー -->

<!-- ▽フッター -->
<?php get_footer(); ?>
<!-- △フッター -->
