<?php

add_filter('widget_text', 'do_shortcode');

/*-----------------------------------------------------------------------------------*/
/* タイトル付き囲み */
/*-----------------------------------------------------------------------------------*/

add_shortcode('titled_box', 're_sc_titled_box');
function re_sc_titled_box( $atts, $content = null ) {

	extract( shortcode_atts( array(
		'title' => '',
		'color' => 'white',
	), $atts ) );

	//色
	switch($color) {
		
		case 'white':
			$class = 'box-title-white';
			break;
		
		case 'black':
			$class = 'box-title-black';
			break;
		
		case 'option':
			$class = 'box-title-option';
			break;

	}

	return '<div class="titled_box"><div class="box-title '.$class.' ">' . $title. '</div>' .do_shortcode($content). '</div>';
}


/*-----------------------------------------------------------------------------------*/
/* ボタン・大（横幅いっぱい） */
/*-----------------------------------------------------------------------------------*/

add_shortcode('btn_l', 're_sc_btn_l');
function re_sc_btn_l($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'url' => '#',
		'color' => 'btn-red',
		'corner' => 'btn-r'
	), $atts));
	
	//色
	switch($color) {
		
		case 'red':
			$color = 'btn-red';
			break;

		case 'blue':
			$color = 'btn-blue';
			break;

		case 'green':
			$color = 'btn-green';
			break;

		case 'orange':
			$color = 'btn-orange';
			break;

		case 'black':
			$color = 'btn-black';
			break;

		case 'option':
			$color = 'btn-option';
			break;
	}

	//コーナー
	switch($corner) {
		
		case 'r':
			$corner = 'btn-r';
			break;

		case 'sq':
			$corner = 'btn-sq';
			break;
	}

	return '<div class="al-c"><a href="'.$url.'" class="btn_l '.$color.' '.$corner.'" target="_blank">'.do_shortcode($content).'</a></div>';
	
}


/*-----------------------------------------------------------------------------------*/
/* ボタン・小（文字数の幅に合わせる） */
/*-----------------------------------------------------------------------------------*/

add_shortcode('btn_s', 're_sc_btn_s');
function re_sc_btn_s($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'url' => '#',
		'color' => 'btn-red',
		'corner' => 'btn-r'
	), $atts));
	
	//色
	switch($color) {
		
		case 'red':
			$color = 'btn-red';
			break;

		case 'blue':
			$color = 'btn-blue';
			break;

		case 'green':
			$color = 'btn-green';
			break;

		case 'orange':
			$color = 'btn-orange';
			break;

		case 'black':
			$color = 'btn-black';
			break;

		case 'option':
			$color = 'btn-option';
			break;
	}

	//コーナー
	switch($corner) {
		
		case 'r':
			$corner = 'btn-r';
			break;

		case 'sq':
			$corner = 'btn-sq';
			break;
	}

	return '<div class="al-c"><a href="'.$url.'" class="btn_s '.$color.' '.$corner.'" target="_blank">'.do_shortcode($content).'</a></div>';
	
}


/*-----------------------------------------------------------------------------------*/
/* カラー囲み */
/*-----------------------------------------------------------------------------------*/

add_shortcode('colored_box', 're_sc_colored_box');
function re_sc_colored_box($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'color' => 'box-red',
		'corner' => 'box-r'
	), $atts));
	
	//色
	switch($color) {
		
		case 'green':
			$color = 'box-green';
			break;
		
		case 'blue':
			$color = 'box-blue';
			break;
		
		case 'gray':
			$color = 'box-gray';
			break;
		
		case 'purple':
			$color = 'box-purple';
			break;
		
		case 'red':
			$color = 'box-red';
			break;
		
		case 'yellow':
			$color = 'box-yellow';
			break;

		case 'light‐green':
			$color = 'box-green-lt';
			break;
		
		case 'light‐blue':
			$color = 'box-blue-lt';
			break;
		
		case 'light‐gray':
			$color = 'box-gray-lt';
			break;
		
		case 'light‐purple':
			$color = 'box-purple-lt';
			break;
		
		case 'light‐red':
			$color = 'box-red-lt';
			break;
		
		case 'light‐yellow':
			$color = 'box-yellow-lt';
			break;
		
		case 'option':
			$color = 'box-option';
			break;
		
	}

	//コーナー
	switch($corner) {
		
		case 'r':
			$corner = 'box-r';
			break;

		case 'sq':
			$corner = 'box-sq';
			break;
	}

	return '<div class="colored_box '.$color.' '.$corner.'">'.do_shortcode($content).'</div>';
	
}


/*-----------------------------------------------------------------------------------*/
/* カラー囲み */
/*-----------------------------------------------------------------------------------*/

/* （2カラム・右） */
add_shortcode('colored_box_2l', 're_sc_colored_box_2l');
function re_sc_colored_box_2l($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'color' => 'box-red',
		'corner' => 'box-r'
	), $atts));
	
	//色
	switch($color) {
		
		case 'green':
			$color = 'box-green';
			break;
		
		case 'blue':
			$color = 'box-blue';
			break;
		
		case 'gray':
			$color = 'box-gray';
			break;
		
		case 'purple':
			$color = 'box-purple';
			break;
		
		case 'red':
			$color = 'box-red';
			break;
		
		case 'yellow':
			$color = 'box-yellow';
			break;

		case 'light‐green':
			$color = 'box-green-lt';
			break;
		
		case 'light‐blue':
			$color = 'box-blue-lt';
			break;
		
		case 'light‐gray':
			$color = 'box-gray-lt';
			break;
		
		case 'light‐purple':
			$color = 'box-purple-lt';
			break;
		
		case 'light‐red':
			$color = 'box-red-lt';
			break;
		
		case 'light‐yellow':
			$color = 'box-yellow-lt';
			break;
		
		case 'option':
			$color = 'box-option';
			break;
		
	}

	//コーナー
	switch($corner) {
		
		case 'r':
			$corner = 'box-r';
			break;

		case 'sq':
			$corner = 'box-sq';
			break;
	}

	return '<div class="colored_box_2 clearfix"><div class="cb2l '.$color.' '.$corner.'">'.do_shortcode($content).'</div><div class="cb2c"><span>&nbsp;</span></div>';
	
}

/* （2カラム・左） */

add_shortcode('colored_box_2r', 're_sc_colored_box_2r');
function re_sc_colored_box_2r($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'color' => 'box-red',
		'corner' => 'box-r'
	), $atts));
	
	//色
	switch($color) {
		
		case 'green':
			$color = 'box-green';
			break;
		
		case 'blue':
			$color = 'box-blue';
			break;
		
		case 'gray':
			$color = 'box-gray';
			break;
		
		case 'purple':
			$color = 'box-purple';
			break;
		
		case 'red':
			$color = 'box-red';
			break;
		
		case 'yellow':
			$color = 'box-yellow';
			break;

		case 'light‐green':
			$color = 'box-green-lt';
			break;
		
		case 'light‐blue':
			$color = 'box-blue-lt';
			break;
		
		case 'light‐gray':
			$color = 'box-gray-lt';
			break;
		
		case 'light‐purple':
			$color = 'box-purple-lt';
			break;
		
		case 'light‐red':
			$color = 'box-red-lt';
			break;
		
		case 'light‐yellow':
			$color = 'box-yellow-lt';
			break;
		
		case 'option':
			$color = 'box-option';
			break;
		
	}

	//コーナー
	switch($corner) {
		
		case 'r':
			$corner = 'box-r';
			break;

		case 'sq':
			$corner = 'box-sq';
			break;
	}

	return '<div class="cb2r '.$color.' '.$corner.'">'.do_shortcode($content).'</div></div>';
	
}


/*-----------------------------------------------------------------------------------*/
/* カラー背景 */
/*-----------------------------------------------------------------------------------*/

add_shortcode('colored_bg', 're_sc_colored_bg');
function re_sc_colored_bg($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'url' => '#',
		'color' => 'bg-red',
		'corner' => 'bg-r'
	), $atts));
	
	//色
	switch($color) {
		
		case 'green':
			$color = 'bg-green';
			break;
		
		case 'blue':
			$color = 'bg-blue';
			break;
		
		case 'gray':
			$color = 'bg-gray';
			break;
		
		case 'purple':
			$color = 'bg-purple';
			break;
		
		case 'red':
			$color = 'bg-red';
			break;
		
		case 'yellow':
			$color = 'bg-yellow';
			break;

		case 'light‐green':
			$color = 'bg-green-lt';
			break;
		
		case 'light‐blue':
			$color = 'bg-blue-lt';
			break;
		
		case 'light‐gray':
			$color = 'bg-gray-lt';
			break;
		
		case 'light‐purple':
			$color = 'bg-purple-lt';
			break;
		
		case 'light‐red':
			$color = 'bg-red-lt';
			break;
		
		case 'light‐yellow':
			$color = 'bg-yellow-lt';
			break;
		
		case 'option':
			$color = 'bg-option';
			break;
		
	}

	//コーナー
	switch($corner) {
		
		case 'r':
			$corner = 'bg-r';
			break;

		case 'sq':
			$corner = 'bg-sq';
			break;
	}

	return '<div class="colored_bg '.$color.' '.$corner.'">'.do_shortcode($content).'</div>';
	
}


/*-----------------------------------------------------------------------------------*/
/* 水平線（区切り線） */
/*-----------------------------------------------------------------------------------*/

add_shortcode('line', 're_sc_line');
function re_sc_line($atts) {

	extract(shortcode_atts(array(
			'color' => '',
			'style' => '',
			'width' => ''
	), $atts));
	
	//色
	switch($color) {
		
		case 'green':
			$color = 'hl-green';
			break;

		case 'blue':
			$color = 'hl-blue';
			break;

		case 'gray':
			$color = 'hl-gray';
			break;

		case 'purple':
			$color = 'hl-purple';
			break;

		case 'red':
			$color = 'hl-red';
			break;

		case 'yellow':
			$color = 'hl-yellow';
			break;

		case 'light‐green':
			$color = 'hl-green-lt';
			break;

		case 'light‐blue':
			$color = 'hl-blue-lt';
			break;

		case 'light‐gray':
			$color = 'hl-gray-lt';
			break;

		case 'light‐purple':
			$color = 'hl-purple-lt';
			break;

		case 'light‐red':
			$color = 'hl-red-lt';
			break;

		case 'light‐yellow':
			$color = 'hl-yellow-lt';
			break;

		case 'option':
			$color = 'hl-option';
			break;

	}

	//スタイル
	switch($style) {
		
		case 'solid':
			$style = 'solid';
			break;

		case 'dotted':
			$style = 'dotted';
			break;

		case 'dashed':
			$style = 'dashed';
			break;

		case 'double':
			$style = 'double';
			break;

	}

	//太さ
	switch($width) {
		
		case '1':
			$width = 'w1';
			break;

		case '2':
			$width = 'w2';
			break;

		case '3':
			$width = 'w3';
			break;

		case '4':
			$width = 'w4';
			break;

		case '5':
			$width = 'w5';
			break;

	}
	
	return '<div class="horizontal-line '.$color.' '.$style.' '.$width.'">&nbsp;</div>';
	
}


/*-----------------------------------------------------------------------------------*/
/* アイコン */
/*-----------------------------------------------------------------------------------*/

add_shortcode('icon', 're_sc_icon');
function re_sc_icon($atts, $content = null) {

	extract(shortcode_atts(array(
			'image' => '',
	), $atts));

	$url = get_bloginfo('template_directory', 'display');
	
	//アイコン
	switch($image) {
		
		case 'a1-b':
			$class = 'icon-a1-b';
			break;
		
		case 'a1-g':
			$class = 'icon-a1-g';
			break;
		
		case 'a1-gr':
			$class = 'icon-a1-gr';
			break;
		
		case 'a1-o':
			$class = 'icon-a1-o';
			break;
		
		case 'a1-p':
			$class = 'icon-a1-p';
			break;
		
		case 'a1-r':
			$class = 'icon-a1-r';
			break;
		
		case 'a2-b':
			$class = 'icon-a2-b';
			break;
		
		case 'a2-g':
			$class = 'icon-a2-g';
			break;
		
		case 'a2-gr':
			$class = 'icon-a2-gr';
			break;
		
		case 'a2-o':
			$class = 'icon-a2-o';
			break;
		
		case 'a2-p':
			$class = 'icon-a2-p';
			break;
		
		case 'a2-r':
			$class = 'icon-a2-r';
			break;
		
		case 'a3-b':
			$class = 'icon-a3-b';
			break;
		
		case 'a3-g':
			$class = 'icon-a3-g';
			break;
		
		case 'a3-gr':
			$class = 'icon-a3-gr';
			break;
		
		case 'a3-o':
			$class = 'icon-a3-o';
			break;
		
		case 'a3-p':
			$class = 'icon-a3-p';
			break;
		
		case 'a3-r':
			$class = 'icon-a3-r';
			break;
		
		case 'arrow1-b':
			$class = 'icon-arrow1-b';
			break;
		
		case 'arrow1-g':
			$class = 'icon-arrow1-g';
			break;
		
		case 'arrow1-gr':
			$class = 'icon-arrow1-gr';
			break;
		
		case 'arrow1-o':
			$class = 'icon-arrow1-o';
			break;
		
		case 'arrow1-p':
			$class = 'icon-arrow1-p';
			break;
		
		case 'arrow1-r':
			$class = 'icon-arrow1-r';
			break;
		
		case 'arrow2-b':
			$class = 'icon-arrow2-b';
			break;
		
		case 'arrow2-g':
			$class = 'icon-arrow2-g';
			break;
		
		case 'arrow2-gr':
			$class = 'icon-arrow2-gr';
			break;
		
		case 'arrow2-o':
			$class = 'icon-arrow2-o';
			break;
		
		case 'arrow2-p':
			$class = 'icon-arrow2-p';
			break;
		
		case 'arrow2-r':
			$class = 'icon-arrow2-r';
			break;
		
		case 'arrow3-b':
			$class = 'icon-arrow3-b';
			break;
		
		case 'arrow3-g':
			$class = 'icon-arrow3-g';
			break;
		
		case 'arrow3-gr':
			$class = 'icon-arrow3-gr';
			break;
		
		case 'arrow3-o':
			$class = 'icon-arrow3-o';
			break;
		
		case 'arrow3-p':
			$class = 'icon-arrow3-p';
			break;
		
		case 'arrow3-r':
			$class = 'icon-arrow3-r';
			break;
		
		case 'check-b-b':
			$class = 'icon-check-b-b';
			break;
		
		case 'check-b-bk':
			$class = 'icon-check-b-bk';
			break;
		
		case 'check-b-g':
			$class = 'icon-check-b-g';
			break;
		
		case 'check-b-r':
			$class = 'icon-check-b-r';
			break;
		
		case 'check1-b':
			$class = 'icon-check1-b';
			break;
		
		case 'check1-g':
			$class = 'icon-check1-g';
			break;
		
		case 'check1-gr':
			$class = 'icon-check1-gr';
			break;
		
		case 'check1-o':
			$class = 'icon-check1-o';
			break;
		
		case 'check1-p':
			$class = 'icon-check1-p';
			break;
		
		case 'check1-r':
			$class = 'icon-check1-r';
			break;
		
		case 'check2-b':
			$class = 'icon-check2-b';
			break;
		
		case 'check2-g':
			$class = 'icon-check2-g';
			break;
		
		case 'check2-gr':
			$class = 'icon-check2-gr';
			break;
		
		case 'check2-o':
			$class = 'icon-check2-o';
			break;
		
		case 'check2-p':
			$class = 'icon-check2-p';
			break;
		
		case 'check2-r':
			$class = 'icon-check2-r';
			break;
		
		case 'check3-b':
			$class = 'icon-check3-b';
			break;
		
		case 'check3-g':
			$class = 'icon-check3-g';
			break;
		
		case 'check3-gr':
			$class = 'icon-check3-gr';
			break;
		
		case 'check3-o':
			$class = 'icon-check3-o';
			break;
		
		case 'check3-p':
			$class = 'icon-check3-p';
			break;
		
		case 'check3-r':
			$class = 'icon-check3-r';
			break;
		
		case 'finger1-b':
			$class = 'icon-finger1-b';
			break;
		
		case 'finger1-bk':
			$class = 'icon-finger1-bk';
			break;
		
		case 'finger1-g':
			$class = 'icon-finger1-g';
			break;
		
		case 'finger1-r':
			$class = 'icon-finger1-r';
			break;
		
		case 'point-b-b':
			$class = 'icon-point-b-b';
			break;
		
		case 'point-b-bk':
			$class = 'icon-point-b-bk';
			break;
		
		case 'point-b-g':
			$class = 'icon-point-b-g';
			break;
		
		case 'point-b-r':
			$class = 'icon-point-b-r';
			break;
		
		case 'point1-1-b':
			$class = 'icon-point1-1-b';
			break;

		case 'point1-2-b':
			$class = 'icon-point1-2-b';
			break;
		case 'point1-3-b':
			$class = 'icon-point1-3-b';
			break;
		case 'point1-4-b':
			$class = 'icon-point1-4-b';
			break;
		case 'point1-5-b':
			$class = 'icon-point1-5-b';
			break;
		case 'point1-6-b':
			$class = 'icon-point1-6-b';
			break;

		case 'point1-1-g':
			$class = 'icon-point1-1-g';
			break;

		case 'point1-2-g':
			$class = 'icon-point1-2-g';
			break;
		case 'point1-3-g':
			$class = 'icon-point1-3-g';
			break;
		case 'point1-4-g':
			$class = 'icon-point1-4-g';
			break;
		case 'point1-5-g':
			$class = 'icon-point1-5-g';
			break;
		case 'point1-6-g':
			$class = 'icon-point1-6-g';
			break;

		case 'point1-1-gr':
			$class = 'icon-point1-1-gr';
			break;

		case 'point1-2-gr':
			$class = 'icon-point1-2-gr';
			break;
		case 'point1-3-gr':
			$class = 'icon-point1-3-gr';
			break;
		case 'point1-4-gr':
			$class = 'icon-point1-4-gr';
			break;
		case 'point1-5-gr':
			$class = 'icon-point1-5-gr';
			break;
		case 'point1-6-gr':
			$class = 'icon-point1-6-gr';
			break;

		case 'point1-1-o':
			$class = 'icon-point1-1-o';
			break;

		case 'point1-2-o':
			$class = 'icon-point1-2-o';
			break;
		case 'point1-3-o':
			$class = 'icon-point1-3-o';
			break;
		case 'point1-4-o':
			$class = 'icon-point1-4-o';
			break;
		case 'point1-5-o':
			$class = 'icon-point1-5-o';
			break;
		case 'point1-6-o':
			$class = 'icon-point1-6-o';
			break;

		case 'point1-1-p':
			$class = 'icon-point1-1-p';
			break;

		case 'point1-2-p':
			$class = 'icon-point1-2-p';
			break;
		case 'point1-3-p':
			$class = 'icon-point1-3-p';
			break;
		case 'point1-4-p':
			$class = 'icon-point1-4-p';
			break;
		case 'point1-5-p':
			$class = 'icon-point1-5-p';
			break;
		case 'point1-6-p':
			$class = 'icon-point1-6-p';
			break;

		case 'point1-1-r':
			$class = 'icon-point1-1-r';
			break;

		case 'point1-2-r':
			$class = 'icon-point1-2-r';
			break;
		case 'point1-3-r':
			$class = 'icon-point1-3-r';
			break;
		case 'point1-4-r':
			$class = 'icon-point1-4-r';
			break;
		case 'point1-5-r':
			$class = 'icon-point1-5-r';
			break;
		case 'point1-6-r':
			$class = 'icon-point1-6-r';
			break;

		case 'point2-1-b':
			$class = 'icon-point2-1-b';
			break;

		case 'point2-2-b':
			$class = 'icon-point2-2-b';
			break;
		case 'point2-3-b':
			$class = 'icon-point2-3-b';
			break;
		case 'point2-4-b':
			$class = 'icon-point2-4-b';
			break;
		case 'point2-5-b':
			$class = 'icon-point2-5-b';
			break;
		case 'point2-6-b':
			$class = 'icon-point2-6-b';
			break;

		case 'point2-1-g':
			$class = 'icon-point2-1-g';
			break;

		case 'point2-2-g':
			$class = 'icon-point2-2-g';
			break;
		case 'point2-3-g':
			$class = 'icon-point2-3-g';
			break;
		case 'point2-4-g':
			$class = 'icon-point2-4-g';
			break;
		case 'point2-5-g':
			$class = 'icon-point2-5-g';
			break;
		case 'point2-6-g':
			$class = 'icon-point2-6-g';
			break;

		case 'point2-1-gr':
			$class = 'icon-point2-1-gr';
			break;

		case 'point2-2-gr':
			$class = 'icon-point2-2-gr';
			break;
		case 'point2-3-gr':
			$class = 'icon-point2-3-gr';
			break;
		case 'point2-4-gr':
			$class = 'icon-point2-4-gr';
			break;
		case 'point2-5-gr':
			$class = 'icon-point2-5-gr';
			break;
		case 'point2-6-gr':
			$class = 'icon-point2-6-gr';
			break;

		case 'point2-1-o':
			$class = 'icon-point2-1-o';
			break;

		case 'point2-2-o':
			$class = 'icon-point2-2-o';
			break;
		case 'point2-3-o':
			$class = 'icon-point2-3-o';
			break;
		case 'point2-4-o':
			$class = 'icon-point2-4-o';
			break;
		case 'point2-5-o':
			$class = 'icon-point2-5-o';
			break;
		case 'point2-6-o':
			$class = 'icon-point2-6-o';
			break;

		case 'point2-1-p':
			$class = 'icon-point2-1-p';
			break;

		case 'point2-2-p':
			$class = 'icon-point2-2-p';
			break;
		case 'point2-3-p':
			$class = 'icon-point2-3-p';
			break;
		case 'point2-4-p':
			$class = 'icon-point2-4-p';
			break;
		case 'point2-5-p':
			$class = 'icon-point2-5-p';
			break;
		case 'point2-6-p':
			$class = 'icon-point2-6-p';
			break;

		case 'point2-1-r':
			$class = 'icon-point2-1-r';
			break;

		case 'point2-2-r':
			$class = 'icon-point2-2-r';
			break;
		case 'point2-3-r':
			$class = 'icon-point2-3-r';
			break;
		case 'point2-4-r':
			$class = 'icon-point2-4-r';
			break;
		case 'point2-5-r':
			$class = 'icon-point2-5-r';
			break;
		case 'point2-6-r':
			$class = 'icon-point2-6-r';
			break;

		case 'point3-1-b':
			$class = 'icon-point3-1-b';
			break;

		case 'point3-2-b':
			$class = 'icon-point3-2-b';
			break;
		case 'point3-3-b':
			$class = 'icon-point3-3-b';
			break;
		case 'point3-4-b':
			$class = 'icon-point3-4-b';
			break;
		case 'point3-5-b':
			$class = 'icon-point3-5-b';
			break;
		case 'point3-6-b':
			$class = 'icon-point3-6-b';
			break;

		case 'point3-1-g':
			$class = 'icon-point3-1-g';
			break;

		case 'point3-2-g':
			$class = 'icon-point3-2-g';
			break;
		case 'point3-3-g':
			$class = 'icon-point3-3-g';
			break;
		case 'point3-4-g':
			$class = 'icon-point3-4-g';
			break;
		case 'point3-5-g':
			$class = 'icon-point3-5-g';
			break;
		case 'point3-6-g':
			$class = 'icon-point3-6-g';
			break;

		case 'point3-1-gr':
			$class = 'icon-point3-1-gr';
			break;

		case 'point3-2-gr':
			$class = 'icon-point3-2-gr';
			break;
		case 'point3-3-gr':
			$class = 'icon-point3-3-gr';
			break;
		case 'point3-4-gr':
			$class = 'icon-point3-4-gr';
			break;
		case 'point3-5-gr':
			$class = 'icon-point3-5-gr';
			break;
		case 'point3-6-gr':
			$class = 'icon-point3-6-gr';
			break;

		case 'point3-1-o':
			$class = 'icon-point3-1-o';
			break;

		case 'point3-2-o':
			$class = 'icon-point3-2-o';
			break;
		case 'point3-3-o':
			$class = 'icon-point3-3-o';
			break;
		case 'point3-4-o':
			$class = 'icon-point3-4-o';
			break;
		case 'point3-5-o':
			$class = 'icon-point3-5-o';
			break;
		case 'point3-6-o':
			$class = 'icon-point3-6-o';
			break;

		case 'point3-1-p':
			$class = 'icon-point3-1-p';
			break;

		case 'point3-2-p':
			$class = 'icon-point3-2-p';
			break;
		case 'point3-3-p':
			$class = 'icon-point3-3-p';
			break;
		case 'point3-4-p':
			$class = 'icon-point3-4-p';
			break;
		case 'point3-5-p':
			$class = 'icon-point3-5-p';
			break;
		case 'point3-6-p':
			$class = 'icon-point3-6-p';
			break;

		case 'point3-1-r':
			$class = 'icon-point3-1-r';
			break;

		case 'point3-2-r':
			$class = 'icon-point3-2-r';
			break;
		case 'point3-3-r':
			$class = 'icon-point3-3-r';
			break;
		case 'point3-4-r':
			$class = 'icon-point3-4-r';
			break;
		case 'point3-5-r':
			$class = 'icon-point3-5-r';
			break;
		case 'point3-6-r':
			$class = 'icon-point3-6-r';
			break;

		case 'q1-b':
			$class = 'icon-q1-b';
			break;
		
		case 'q1-g':
			$class = 'icon-q1-g';
			break;
		
		case 'q1-gr':
			$class = 'icon-q1-gr';
			break;
		
		case 'q1-o':
			$class = 'icon-q1-o';
			break;
		
		case 'q1-p':
			$class = 'icon-q1-p';
			break;
		
		case 'q1-r':
			$class = 'icon-q1-r';
			break;
		
		case 'q2-b':
			$class = 'icon-q2-b';
			break;
		
		case 'q2-g':
			$class = 'icon-q2-g';
			break;
		
		case 'q2-gr':
			$class = 'icon-q2-gr';
			break;
		
		case 'q2-o':
			$class = 'icon-q2-o';
			break;
		
		case 'q2-p':
			$class = 'icon-q2-p';
			break;
		
		case 'q2-r':
			$class = 'icon-q2-r';
			break;
		
		case 'q3-b':
			$class = 'icon-q3-b';
			break;
		
		case 'q3-g':
			$class = 'icon-q3-g';
			break;
		
		case 'q3-gr':
			$class = 'icon-q3-gr';
			break;
		
		case 'q3-o':
			$class = 'icon-q3-o';
			break;
		
		case 'q3-p':
			$class = 'icon-q3-p';
			break;
		
		case 'q3-r':
			$class = 'icon-q3-r';
			break;
		
		case 'ranking1-1':
			$class = 'icon-ranking1-1';
			break;
		
		case 'ranking1-2':
			$class = 'icon-ranking1-2';
			break;
		
		case 'ranking1-3':
			$class = 'icon-ranking1-3';
			break;
		
		case 'ranking1-4':
			$class = 'icon-ranking1-4';
			break;
		
		case 'ranking1-5':
			$class = 'icon-ranking1-5';
			break;
		
		case 'ranking2-1':
			$class = 'icon-ranking2-1';
			break;
		
		case 'ranking2-2':
			$class = 'icon-ranking2-2';
			break;
		
		case 'ranking2-3':
			$class = 'icon-ranking2-3';
			break;
		
		case 'ranking2-4':
			$class = 'icon-ranking2-4';
			break;
		
		case 'ranking2-5':
			$class = 'icon-ranking2-5';
			break;
		
		case 'ranking3-1':
			$class = 'icon-ranking3-1';
			break;
		
		case 'ranking3-2':
			$class = 'icon-ranking3-2';
			break;
		
		case 'ranking3-3':
			$class = 'icon-ranking3-3';
			break;
		
		case 'ranking3-4':
			$class = 'icon-ranking3-4';
			break;
		
		case 'ranking3-5':
			$class = 'icon-ranking3-5';
			break;

		case 'star':
			$class = 'icon-star';
			break;
		
		case 'star-h':
			$class = 'icon-star-h';
			break;

		case 'star-n':
			$class = 'icon-star-n';
			break;

		case 'star5-0':
			$class = 'icon-star5-0';
			break;

		case 'star5-1':
			$class = 'icon-star5-1';
			break;

		case 'star5-2':
			$class = 'icon-star5-2';
			break;

		case 'star5-3':
			$class = 'icon-star5-3';
			break;

		case 'star5-4':
			$class = 'icon-star5-4';
			break;

		case 'star5-5':
			$class = 'icon-star5-5';
			break;

		case 'pdf1':
			$class = 'icon-pdf1';
			break;

		case 'pdf2':
			$class = 'icon-pdf2';
			break;

		case 'zip1':
			$class = 'icon-zip1';
			break;

		case 'zip2':
			$class = 'icon-zip2';
			break;

		case 'mail1':
			$class = 'icon-mail1';
			break;

		case 'mail2':
			$class = 'icon-mail2';
			break;

	}
	
	return '<span class="icon '.$class.'">&nbsp;</span>';
	
}


/*-----------------------------------------------------------------------------------*/
/* よくある質問 */
/*-----------------------------------------------------------------------------------*/

add_shortcode('faq_q', 're_sc_faq_q');
function re_sc_faq_q( $atts, $content = null ) {

	extract( shortcode_atts( array(
		'color' => 'red',
	), $atts ) );

	//色
	switch($color) {
		
		case 'green':
			$class = 'faq-g';
			break;
		
		case 'blue':
			$class = 'faq-b';
			break;
		
		case 'gray':
			$class = 'faq-gr';
			break;
		
		case 'red':
			$class = 'faq-r';
			break;
		
		case 'orange':
			$class = 'faq-o';
			break;
		
		case 'purple':
			$class = 'faq-p';
			break;

	}

	return '<div class="faq_q '.$class.'">' .do_shortcode($content). '</div>';
}
add_shortcode('faq_a', 're_sc_faq_a');
function re_sc_faq_a( $atts, $content = null ) {
	return '<div class="faq_a">' .do_shortcode($content). '</div>';
}


/*-----------------------------------------------------------------------------------*/
/* リスト */
/*-----------------------------------------------------------------------------------*/

add_shortcode('check_list', 're_sc_check_list');
function re_sc_check_list($atts, $content = null) {

	extract(shortcode_atts(array(
			'image' => '',
	), $atts));

	//アイコン
	switch($image) {
	
		case 'check1-b':
			$class = 'cl-check1-b';
			break;
		
		case 'check1-g':
			$class = 'cl-check1-g';
			break;
		
		case 'check1-gr':
			$class = 'cl-check1-gr';
			break;
		
		case 'check1-o':
			$class = 'cl-check1-o';
			break;
		
		case 'check1-p':
			$class = 'cl-check1-p';
			break;
		
		case 'check1-r':
			$class = 'cl-check1-r';
			break;
		
		case 'check2-b':
			$class = 'cl-check2-b';
			break;
		
		case 'check2-g':
			$class = 'cl-check2-g';
			break;
		
		case 'check2-gr':
			$class = 'cl-check2-gr';
			break;
		
		case 'check2-o':
			$class = 'cl-check2-o';
			break;
		
		case 'check2-p':
			$class = 'cl-check2-p';
			break;
		
		case 'check2-r':
			$class = 'cl-check2-r';
			break;
		
		case 'check3-b':
			$class = 'cl-check3-b';
			break;
		
		case 'check3-g':
			$class = 'cl-check3-g';
			break;
		
		case 'check3-gr':
			$class = 'cl-check3-gr';
			break;
		
		case 'check3-o':
			$class = 'cl-check3-o';
			break;
		
		case 'check3-p':
			$class = 'cl-check3-p';
			break;
		
		case 'check3-r':
			$class = 'cl-check3-r';
			break;

	}
	
	return '<div class="check-list '.$class.'">' .do_shortcode($content). '</div>';
	
}


/*-----------------------------------------------------------------------------------*/
/* 左寄せリンク */
/*-----------------------------------------------------------------------------------*/

add_shortcode('right_link', 're_sc_right_link');
function re_sc_right_link($atts, $content = null) {

	extract(shortcode_atts(array(
		'image' => '',
		'url' => '#',
		'target' => '_blank'
	), $atts));

	//アイコン
	switch($image) {
	
		case 'arrow1-b':
			$image = 'rl-arrow1-b';
			break;
		
		case 'arrow1-g':
			$image = 'rl-arrow1-g';
			break;
		
		case 'arrow1-gr':
			$image = 'rl-arrow1-gr';
			break;
		
		case 'arrow1-o':
			$image = 'rl-arrow1-o';
			break;
		
		case 'arrow1-p':
			$image = 'rl-arrow1-p';
			break;
		
		case 'arrow1-r':
			$image = 'rl-arrow1-r';
			break;
		
		case 'arrow2-b':
			$image = 'rl-arrow2-b';
			break;
		
		case 'arrow2-g':
			$image = 'rl-arrow2-g';
			break;
		
		case 'arrow2-gr':
			$image = 'rl-arrow2-gr';
			break;
		
		case 'arrow2-o':
			$image = 'rl-arrow2-o';
			break;
		
		case 'arrow2-p':
			$image = 'rl-arrow2-p';
			break;
		
		case 'arrow2-r':
			$image = 'rl-arrow2-r';
			break;
		
		case 'arrow3-b':
			$image = 'rl-arrow3-b';
			break;
		
		case 'arrow3-g':
			$image = 'rl-arrow3-g';
			break;
		
		case 'arrow3-gr':
			$image = 'rl-arrow3-gr';
			break;
		
		case 'arrow3-o':
			$image = 'rl-arrow3-o';
			break;
		
		case 'arrow3-p':
			$image = 'rl-arrow3-p';
			break;
		
		case 'arrow3-r':
			$image = 'rl-arrow3-r';
			break;

	}

	//ターゲット
	switch($target) {
		
		case 'blank':
			$target = '_blank';
			break;

		case 'self':
			$target = '_self';
			break;
	}

	return '<div class="right-link '.$image.'"><a href="'.$url.'" target="'.$target.'">' .do_shortcode($content). '</a></div>';
	
}


/*-----------------------------------------------------------------------------------*/
/* ２カラム */
/*-----------------------------------------------------------------------------------*/

add_shortcode('column2_1', 're_sc_column2_1');
function re_sc_column2_1( $atts, $content = null ) {
	return '<div class="col2-c1"><div class="inner">' .do_shortcode($content). '</div></div>';
}
add_shortcode('column2_2', 're_sc_column2_2');
function re_sc_column2_2( $atts, $content = null ) {
	return '<div class="col2-c2"><div class="inner">' .do_shortcode($content). '</div></div><div class="cl"></div>';
}


/*-----------------------------------------------------------------------------------*/
/* ３カラム */
/*-----------------------------------------------------------------------------------*/

add_shortcode('column3_1', 're_sc_column3_1');
function re_sc_column3_1( $atts, $content = null ) {
	return '<div class="col3-c1"><div class="inner">' .do_shortcode($content). '</div></div>';
}
add_shortcode('column3_2', 're_sc_column3_2');
function re_sc_column3_2( $atts, $content = null ) {
	return '<div class="col3-c2"><div class="inner">' .do_shortcode($content). '</div></div>';
}
add_shortcode('column3_3', 're_sc_column3_3');
function re_sc_column3_3( $atts, $content = null ) {
	return '<div class="col3-c3"><div class="inner">' .do_shortcode($content). '</div></div><div class="cl"></div>';
}


/*-----------------------------------------------------------------------------------*/
/* ４カラム */
/*-----------------------------------------------------------------------------------*/

add_shortcode('column4_1', 're_sc_column4_1');
function re_sc_column4_1( $atts, $content = null ) {
	return '<div class="col4-c1"><div class="inner">' .do_shortcode($content). '</div></div>';
}
add_shortcode('column4_2', 're_sc_column4_2');
function re_sc_column4_2( $atts, $content = null ) {
	return '<div class="col4-c2"><div class="inner">' .do_shortcode($content). '</div></div>';
}
add_shortcode('column4_3', 're_sc_column4_3');
function re_sc_column4_3( $atts, $content = null ) {
	return '<div class="col4-c3"><div class="inner">' .do_shortcode($content). '</div></div>';
}
add_shortcode('column4_4', 're_sc_column4_4');
function re_sc_column4_4( $atts, $content = null ) {
	return '<div class="col4-c4"><div class="inner">' .do_shortcode($content). '</div></div><div class="cl"></div>';
}


/*-----------------------------------------------------------------------------------*/
/* 画像背景 */
/*-----------------------------------------------------------------------------------*/

add_shortcode('deco_bg', 're_sc_deco_bg');
function re_sc_deco_bg($atts, $content = null) {
	
	extract(shortcode_atts(array(
		'image' => '',
		'width' => ''
	), $atts));
	
	//画像
	switch($image) {
		
		case 'metal1':
			$image = 'metal1';
			break;
		
		case 'metal2':
			$image = 'metal2';
			break;
		
		case 'metal3':
			$image = 'metal3';
			break;
		
		case 'metal4':
			$image = 'metal4';
			break;
		
		case 'paper1':
			$image = 'paper1';
			break;
		
		case 'paper2':
			$image = 'paper2';
			break;
		
		case 'paper3':
			$image = 'paper3';
			break;
		
		case 'paper4':
			$image = 'paper4';
			break;
		
		case 'paper5':
			$image = 'paper5';
			break;
		
		case 'postit1':
			$image = 'postit1';
			break;
		
		case 'postit2':
			$image = 'postit2';
			break;
		
		case 'postit3':
			$image = 'postit3';
			break;
		
		case 'postit4':
			$image = 'postit4';
			break;
		
		case 'postit5':
			$image = 'postit5';
			break;
		
		case 'chalkboard':
			$image = 'chalkboard';
			break;
		
		case 'woodboard1':
			$image = 'woodboard1';
			break;
		
		case 'woodframe1':
			$image = 'woodframe1';
			break;
		
		case 'marker-p':
			$image = 'marker-p';
			break;

		case 'marker-y':
			$image = 'marker-y';
			break;
		
		case 'marker-g':
			$image = 'marker-g';
			break;
		
		case 'marker-b':
			$image = 'marker-b';
			break;
		
	}

	return '<div class="bg-deco-'.$image.'" style="width:'.$width.'px;"><p>'.do_shortcode($content).'</p></div>';
	
}
