<?php


/*-----------------------------------------------------------------------------------*/
/* ピックアップエントリ */
/*-----------------------------------------------------------------------------------*/

class Pickup_Posts extends WP_Widget {

function Pickup_Posts() {
	$widget_ops = array('classname' => 'pickup-posts rewj', 'description' => '指定した記事のタイトルを表示');
	$this->WP_Widget('pickup-posts', 'Re:ピックアップエントリ', $widget_ops);
}
 
function widget($args, $instance) {
	$title = apply_filters( 'widget_title', empty($instance['repp_title']) ? '最近の投稿' : $instance['repp_title'], $instance, $this->id_base);
	$selectIDs = explode(",", $instance['repp_id']);
	echo '<aside class="widget pickup-posts rewj">'."\n".
		'<h3 class="widget-title"><div class="deco">'.$title.'</div></h3>'."\n".'<ul>';
			foreach($selectIDs as $selectID):
				$postslist = get_posts('include=' .$selectID );
				foreach($postslist as $post):
					  setup_postdata($post);
					  $code .= '<li class="post-item clearfix">';
					  if (has_post_thumbnail($post->ID)) {
						$code .= '<div class="post-img">' . get_the_post_thumbnail($post->ID) . '</div>';
					  }
					  $code .= '<div class="post-title"><a href="' . get_permalink($post->ID) . '">' . get_the_title($post->ID) . '</a></div></li>';
				endforeach;
			endforeach;
		echo $code."\n";
		echo '</ul>'."\n".'</aside>'."\n";
  }
 
function update($new_instance, $old_instance) {
		$instance = $old_instance;
		$instance['repp_title'] = strip_tags($new_instance['repp_title']);
		$instance['repp_id'] = $new_instance['repp_id'];
    	return $new_instance;
  }

function form($instance) {
	$instance = wp_parse_args((array)$instance, array('repp_title'=>'','repp_id' => '' ));
	$repp_title = strip_tags($instance['repp_title']);
	$repp_id = esc_attr( $instance['repp_id'] );
?>
<p>
	<label for="<?php echo $this->get_field_id('repp_title'); ?>">タイトル:</label>
	<input class="widefat" id="<?php echo $this->get_field_id('repp_title'); ?>" name="<?php echo $this->get_field_name('repp_title'); ?>" type="text" value="<?php echo esc_attr($repp_title); ?>" /><br />
	タイトルを入力してください。なにも入力していなければ「最近の投稿」と表示されます。
</p>
<p>
	<label for="<?php echo $this->get_field_id('repp_id'); ?>">表示したい記事のID:</label>
	<input class="widefat" id="<?php echo $this->get_field_id('repp_id'); ?>" name="<?php echo $this->get_field_name('repp_id'); ?>" value="<?php echo $instance['repp_id']; ?>" type="text" /><br />
	記事のIDを半角カンマ“,”で区切って入力してください。並べた順に上から表示されます。なにも入力していなければ最近の投稿が５件表示されます。
</p>
<?php
  }

}

add_action( 'widgets_init', create_function('', 'return register_widget("Pickup_Posts");') );


/*-----------------------------------------------------------------------------------*/
/* ピックアップカテゴリ */
/*-----------------------------------------------------------------------------------*/

class Pickup_Category extends WP_Widget {

function Pickup_Category() {
	$widget_ops = array('classname' => 'pickup-category rewj', 'description' => '指定カテゴリーの記事一覧を表示');
	$this->WP_Widget('Pickup_Category', 'Re:ピックアップカテゴリ', $widget_ops);
}

function widget($args, $instance) {
	global $post;
	$post_old = $post;
	
	extract( $args );
	
	$sizes = get_option('jlao_cat_post_thumb_sizes');
	
	if( !$instance["title"] ) {
		$category_info = get_category($instance["cat"]);
		$instance["title"] = $category_info->name;
  }

	$valid_sort_orders = array('date', 'title', 'comment_count', 'rand');
	if ( in_array($instance['sort_by'], $valid_sort_orders) ) {
		$sort_by = $instance['sort_by'];
		$sort_order = (bool) $instance['asc_sort_order'] ? 'ASC' : 'DESC';
	} else {
		$sort_by = 'date';
		$sort_order = 'DESC';
	}
	
	$cat_posts = new WP_Query(
		"showposts=" . $instance["num"] . 
		"&cat=" . $instance["cat"] .
		"&orderby=" . $sort_by .
		"&order=" . $sort_order
	);

	echo $before_widget;
	echo $before_title;
	echo $instance["title"];
	echo $after_title;
	echo "<ul>\n";
	
	while ( $cat_posts->have_posts() )
	{
		$cat_posts->the_post();
	?>
		<li class="post-item clearfix">
			<?php
				if (
					function_exists('the_post_thumbnail') &&
					current_theme_supports("post-thumbnails") &&
					$instance["thumb"] &&
					has_post_thumbnail()
				) :
			?>
				<div class="post-img"><?php the_post_thumbnail(); ?></div>
			<?php endif; ?>

			<?php if ( $instance['date'] ) : ?>
			<div class="post-date"><?php the_time('Y年m月d日'); ?></div>
			<?php endif; ?>
			
			<div class="post-title"><a href="<?php the_permalink(); ?>" title="Permanent link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></div>
			
			<?php if ( $instance['excerpt'] ) : ?>
			<?php the_excerpt(); ?> 
			<?php endif; ?>
			
			<?php if ( $instance['comment_num'] ) : ?>
			<p class="comment-num">(<?php comments_number(); ?>)</p>
			<?php endif; ?>
		</li>
	<?php
	}
	echo "</ul>\n";
	echo $after_widget;
	$post = $post_old;
}

function form($instance) {
?>
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
				タイトル:
				<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
			</label>
		</p>
		
		<p>
			<label>
				カテゴリ:
				<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
				表示する記事の数:
				<input id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" size='3' />
			</label>
	</p>

	<p>
			<label for="<?php echo $this->get_field_id("sort_by"); ?>">
				並べ方:
				<select id="<?php echo $this->get_field_id("sort_by"); ?>" name="<?php echo $this->get_field_name("sort_by"); ?>">
				<option value="date"<?php selected( $instance["sort_by"], "date" ); ?>>日付</option>
				<option value="title"<?php selected( $instance["sort_by"], "title" ); ?>>タイトル</option>
				<option value="comment_count"<?php selected( $instance["sort_by"], "comment_count" ); ?>>コメント数</option>
				<option value="rand"<?php selected( $instance["sort_by"], "rand" ); ?>>ランダム</option>
				</select>
			</label>
    </p>
		
		<p>
			<label for="<?php echo $this->get_field_id("asc_sort_order"); ?>">
				<input type="checkbox" class="checkbox" 
				id="<?php echo $this->get_field_id("asc_sort_order"); ?>" 
				name="<?php echo $this->get_field_name("asc_sort_order"); ?>"
				<?php checked( (bool) $instance["asc_sort_order"], true ); ?> />
				投稿順を昇順
			</label>
    </p>
		
		<?php if ( function_exists('the_post_thumbnail') && current_theme_supports("post-thumbnails") ) : ?>
		<p>
			<label for="<?php echo $this->get_field_id("thumb"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("thumb"); ?>" name="<?php echo $this->get_field_name("thumb"); ?>"<?php checked( (bool) $instance["thumb"], true ); ?> />
				アイキャッチを表示
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id("date"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("date"); ?>" name="<?php echo $this->get_field_name("date"); ?>"<?php checked( (bool) $instance["date"], true ); ?> />
				投稿日を表示
			</label>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id("excerpt"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("excerpt"); ?>" name="<?php echo $this->get_field_name("excerpt"); ?>"<?php checked( (bool) $instance["excerpt"], true ); ?> />
				記事の概要を表示
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id("comment_num"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("comment_num"); ?>" name="<?php echo $this->get_field_name("comment_num"); ?>"<?php checked( (bool) $instance["comment_num"], true ); ?> />
				コメント数を表示
			</label>
		</p>
		<?php endif; ?>

<?php
}
}

add_action( 'widgets_init', create_function('', 'return register_widget("Pickup_Category");') );


/*-----------------------------------------------------------------------------------*/
/* 最新情報 */
/*-----------------------------------------------------------------------------------*/

class Recent_Entries extends WP_Widget {

function Recent_Entries() {
	$widget_ops = array('classname' => 'recent-entries rewj', 'description' => '条件を指定して最近の投稿を表示');
	$this->WP_Widget('Recent_Entries', 'Re:最新情報', $widget_ops);
	}

	function output( $r, $excerpt = false , $thumbnail = false , $show_date = false ) {
		if ($r->have_posts()) :
			?>
				<ul>
				<?php
	$lastpostcnt = 0;
				while ($r->have_posts()) : $r->the_post(); 
		$lastpostcnt++;
		if ( $lastpostcnt == $r->post_count ) {
		echo '<li class="post-item clearfix">';
		} else {
		echo '<li class="post-item clearfix">';
		} ?>

		<?php if ( $thumbnail && has_post_thumbnail() ) {
			echo '<div class="post-img">';
			the_post_thumbnail();
			echo '</div>';
		} ?>

		<div class="post-date">
		<?php if ( "yearmonthdate" == $show_date ) {
			the_time('Y年m月d日'); 
		} else if ( "monthdate" == $show_date ) {
			the_time('m月d日'); 
		} else if ( "diff" == $show_date ) {
			$difftime = strtotime("now") - strtotime(get_the_time("Y-m-d"));
			$diffday = (int) ($difftime / 86400);
			the_time('s日前'); 
		} ?>
		</div>

		<div class="post-title">
		<a href="<?php the_permalink() ?>" title="Permanent link to <?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a>
		</div>

		<?php if ( $excerpt ) {
			echo "<p>" ;
			echo the_excerpt_rss();
			echo "</p>" ;
		} ?>

		</li>

		<?php endwhile; ?>
		</ul>
		<?php
		wp_reset_query();  // Restore global post data stomped by the_post().
	endif;
	}

	function number($num) {
		if ( !$number = (int) $num )
			$number = get_option('posts_per_page');
		else if ( $number < 1 )
			$number = 1;
		return $number;
	}

	function orderby($rand) {
		if ( $rand ) {
			return "rand";
		} else {
			return "date";
		}
	}

	function widget($args, $instance) {
		extract($args, EXTR_SKIP);

		$title = apply_filters('widget-title', empty($instance['title']) ?最新情報 : $instance['title']);
		$number = $this->number($instance['number']);
		$orderby = $this->orderby($instance['rand']);
		$category = empty( $instance['category'] ) ? '' : $instance['category'];
		$r = new WP_Query(array('showposts' => $number, 'nopaging' => 0, 'post_status' => 'publish', 'orderby' => $orderby, 'cat' => $category, 'caller_get_posts' => 1));

		echo $before_widget;
		if ( $title ) echo $before_title . $title . $after_title;
		$this->output( $r, $instance['excerpt'], $instance['thumbnail'], $instance['show_date'] );
		echo $after_widget;

	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = esc_attr($new_instance['title']);
		$instance['number'] = (int) $new_instance['number'];
		$instance['rand'] = (int) $new_instance['rand'];
		$instance['excerpt'] = (int) $new_instance['excerpt'];
		$instance['thumbnail'] = (int) $new_instance['thumbnail'];
		$instance['show_date'] = esc_attr($new_instance['show_date']);
		$instance['category'] = implode(", ",$new_instance['category']);
		return $instance;
	}

	function form_title( $title ) {
		$title = esc_attr($title);
		?>
			<p><label for="<?php echo $this->get_field_id('title'); ?>">タイトル:</label> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
			<?php
	}

	function form_number( $number ) {
		if ( !$number = (int) $number )
			$number = get_option('posts_per_page');
		?>
			<p><label for="<?php echo $this->get_field_id('number'); ?>">表示する投稿数:</label> <input id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php echo $number; ?>" size="3" /></p>
			<?php
	}

	function form_category( $category ) {
		if ( $category ) {
			$catarray = explode( ", ",$category );
		} else {
			$catarray = array();
		}
		?>
			<p><label>表示するカテゴリー</label><br />
			<?php
			$categories = get_terms('category', 'orderby=id&hide_empty=0');

		foreach ( $categories as $catdata ) {
			$cat_id = $catdata->term_id;
			$name = esc_html( apply_filters('the_category', $catdata->name));
			$checked = '';
			if (in_array( $cat_id, $catarray )) {
				$checked = 'checked="checked"';
			}
			echo '<input type="checkbox" id="'.$this->get_field_id('category').'['.$cat_id.']" name="'.$this->get_field_name('category').'['.$cat_id.']" value="'.$cat_id.'" '.$checked.' class="checkbox">';
			echo '<label for="'.$this->get_field_id('category').'['.$cat_id.']">';
			echo $name;
			echo '</label><br />';
		}
		?></p>
			<?php
	}

	function form_rand( $rand ) {
		?>
			<p><input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('rand'); ?>" name="<?php echo $this->get_field_name('rand'); ?>" value="1" <?php if( $rand ) echo 'checked="checked"'; ?> /> <label for="<?php echo $this->get_field_id('rand'); ?>">ランダムに表示</label></p>
			<?php
	}

	function form_excerpt( $excerpt ) {
		?>
			<p><input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('excerpt'); ?>" name="<?php echo $this->get_field_name('excerpt'); ?>" value="1" <?php if( $excerpt ) echo 'checked="checked"'; ?> /> <label for="<?php echo $this->get_field_id('excerpt'); ?>">記事の概要を表示 </label></p>
			<?php
	}

	function form_thumbnail( $thumbnail ) {
		?>
			<p><input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('thumbnail'); ?>" name="<?php echo $this->get_field_name('thumbnail'); ?>" value="1" <?php if( $thumbnail ) echo 'checked="checked"'; ?> /> <label for="<?php echo $this->get_field_id('thumbnail'); ?>">アイキャッチを表示 </label></p>
			<?php
	}

	function form_show_date( $show_date ) {
		$show_date = esc_attr($show_date);
		?>
			<p>
			<label for="<?php echo $this->get_field_id('show_date'); ?>">日付を表示</label>
			<select name="<?php echo $this->get_field_name('show_date'); ?>" id="<?php echo $this->get_field_id('show_date'); ?>">
			<option value="none"<?php selected( $show_date, 'none' ); ?>>表示しない</option>
			<option value="yearmonthdate"<?php selected( $show_date, 'yearmonthdate' ); ?>>○年○月○日</option>
			<option value="monthdate"<?php selected( $show_date, 'monthdate' ); ?>>○月○日</option>
			<option value="diff"<?php selected( $show_date, 'diff' ); ?>>○○日前</option>
			</select>
			</p>
			<?php
	}

	function form( $instance ) {
		$this->form_title( $instance['title'] );
		$this->form_number( $instance['number'] );
		$this->form_category( $instance['category'] );
		$this->form_rand( $instance['rand'] );
		$this->form_excerpt( $instance['excerpt'] );
		$this->form_thumbnail( $instance['thumbnail'] );
		$this->form_show_date( $instance['show_date'] );
	}
}

add_action('widgets_init', create_function('', 'return register_widget("Recent_Entries");'));


/*-----------------------------------------------------------------------------------*/
/* バナー広告表示（３列） */
/*-----------------------------------------------------------------------------------*/

class Banners_3 extends WP_Widget {

function Banners_3() {
	$widget_ops = array('classname' => 'banners-3', 'description' => '広告リンクを３つ、画像付きで表示');
	$this->WP_Widget('Banners_3', 'Re:広告リンク（３）', $widget_ops);}

	function widget($args, $instance) {
		extract( $args );
		?>
			<?php echo $before_widget ?>
			<div class="banners">
			<?php {echo '<h3 class="widget-title"><div class="deco">' . $instance['title'] . '</div></h3>';} ?>
			<div class="c3 clearfix">
			<div class="unit ">
				<div class="unit1">
					<?php if($instance['adv3_url_1'] == NULL ){ echo "";} else { echo '<a href=" ' . $instance['adv3_url_1'] . ' " target="_blank">';} ?>
						<?php if($instance['adv3_image_1'] == NULL ){ echo "";} else { echo '<div class="image"><img src=" ' . $instance['adv3_image_1'] . ' " /></div>';} ?>
					<?php if($instance['adv3_url_1'] == NULL ){ echo "";} else { echo '</a>';} ?>
					<?php if($instance['adv3_url_1'] == NULL ){ echo "";} else { echo '<a href=" ' . $instance['adv3_url_1'] . ' " target="_blank">';} ?>
						<?php if($instance['adv3_name_1'] == NULL ){ echo "";} else { echo $instance['adv3_name_1'] ;} ?>
					<?php if($instance['adv3_url_1'] == NULL ){ echo "";} else { echo '</a>';} ?>
					<?php if($instance['adv3_text_1'] == NULL ){ echo "";} else { echo '<div class="widget_text">';} ?>
						<?php if($instance['adv3_text_1'] == NULL ){ echo "";} else { echo $instance['adv3_text_1'];} ?>
					<?php if($instance['adv3_text_1'] == NULL ){ echo "";} else { echo '</div>';} ?>
				</div>
			</div>

			<div class="unit">
				<div class="unit2">
					<?php if($instance['adv3_url_2'] == NULL ){ echo "";} else { echo '<a href=" ' . $instance['adv3_url_2'] . ' " target="_blank">';} ?>
						<?php if($instance['adv3_image_2'] == NULL ){ echo "";} else { echo '<div class="image"><img src=" ' . $instance['adv3_image_2'] . ' " /></div>';} ?>
					<?php if($instance['adv3_url_2'] == NULL ){ echo "";} else { echo '</a>';} ?>
					<?php if($instance['adv3_url_2'] == NULL ){ echo "";} else { echo '<a href=" ' . $instance['adv3_url_2'] . ' " target="_blank">';} ?>
						<?php if($instance['adv3_name_2'] == NULL ){ echo "";} else { echo $instance['adv3_name_2'] ;} ?>
					<?php if($instance['adv3_url_2'] == NULL ){ echo "";} else { echo '</a>';} ?>
					<?php if($instance['adv3_text_2'] == NULL ){ echo "";} else { echo '<div class="widget_text">';} ?>
						<?php if($instance['adv3_text_2'] == NULL ){ echo "";} else { echo $instance['adv3_text_2'];} ?>
					<?php if($instance['adv3_text_2'] == NULL ){ echo "";} else { echo '</div>';} ?>
				</div>
			</div>

			<div class="unit">
			<div class="unit3">
				<?php if($instance['adv3_url_3'] == NULL ){ echo "";} else { echo '<a href=" ' . $instance['adv3_url_3'] . ' " target="_blank">';} ?>
					<?php if($instance['adv3_image_3'] == NULL ){ echo "";} else { echo '<div class="image"><img src=" ' . $instance['adv3_image_3'] . ' " /></div>';} ?>
				<?php if($instance['adv3_url_3'] == NULL ){ echo "";} else { echo '</a>';} ?>
				<?php if($instance['adv3_url_3'] == NULL ){ echo "";} else { echo '<a href=" ' . $instance['adv3_url_3'] . ' " target="_blank">';} ?>
					<?php if($instance['adv3_name_3'] == NULL ){ echo "";} else { echo $instance['adv3_name_3'] ;} ?>
				<?php if($instance['adv3_url_3'] == NULL ){ echo "";} else { echo '</a>';} ?>
				<?php if($instance['adv3_text_3'] == NULL ){ echo "";} else { echo '<div class="widget_text">';} ?>
					<?php if($instance['adv3_text_3'] == NULL ){ echo "";} else { echo $instance['adv3_text_3'];} ?>
				<?php if($instance['adv3_text_3'] == NULL ){ echo "";} else { echo '</div>';} ?>
			</div>
			</div>

			</div>
			</div>
			<?php echo $after_widget ?>
		<?php
	}


	function update($new_instance, $old_instance) {
		return $new_instance;
	}


	function form($instance) {
		$title = $instance['title'] ? $instance['title'] : "";
		$adv3_image_1 = $instance['adv3_image_1'] ? $instance['adv3_image_1'] : "";
		$adv3_url_1 = $instance['adv3_url_1'] ? $instance['adv3_url_1'] : "";
		$adv3_name_1 = $instance['adv3_name_1'] ? $instance['adv3_name_1'] : "";
		$adv3_text_1 = $instance['adv3_text_1'] ? $instance['adv3_text_1'] : "";
		$adv3_image_2 = $instance['adv3_image_2'] ? $instance['adv3_image_2'] : "";
		$adv3_url_2 = $instance['adv3_url_2'] ? $instance['adv3_url_2'] : "";
		$adv3_name_2 = $instance['adv3_name_2'] ? $instance['adv3_name_2'] : "";
		$adv3_text_2 = $instance['adv3_text_2'] ? $instance['adv3_text_2'] : "";
		$adv3_image_3 = $instance['adv3_image_3'] ? $instance['adv3_image_3'] : "";
		$adv3_url_3 = $instance['adv3_url_3'] ? $instance['adv3_url_3'] : "";
		$adv3_name_3 = $instance['adv3_name_3'] ? $instance['adv3_name_3'] : "";
		$adv3_text_3 = $instance['adv3_text_3'] ? $instance['adv3_text_3'] : "";
		?>

		<p><label for="<?php echo $this->get_field_id('title'); ?>">
			タイトル:
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
		</label></p>

		<fieldset>
			<legend>広告１</legend>
			<p><label for="<?php echo $this->get_field_id('adv3_url_1'); ?>">
				リンク先のURL:
				<input class="widefat" id="<?php echo $this->get_field_id('adv3_url_1'); ?>" name="<?php echo $this->get_field_name('adv3_url_1'); ?>" type="text" value="<?php echo $adv3_url_1; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv3_image_1'); ?>">
				画像ファイルのURL:
				<input class="widefat" id="<?php echo $this->get_field_id('adv3_image_1'); ?>" name="<?php echo $this->get_field_name('adv3_image_1'); ?>" type="text" value="<?php echo $adv3_image_1; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv3_name_1'); ?>">
				名前:
				<input class="widefat" id="<?php echo $this->get_field_id('adv3_name_1'); ?>" name="<?php echo $this->get_field_name('adv3_name_1'); ?>" type="text" value="<?php echo $adv3_name_1; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv3_text_1'); ?>">
				説明:
				<textarea class="widefat" id="<?php echo $this->get_field_id('adv3_text_1'); ?>" name="<?php echo $this->get_field_name('adv3_text_1'); ?>"><?php echo $adv3_text_1; ?></textarea>
			</label></p>
		</fieldset>

		<fieldset>
			<legend>広告２</legend>
			<p><label for="<?php echo $this->get_field_id('adv3_url_2'); ?>">
				リンク先のURL:
				<input class="widefat" id="<?php echo $this->get_field_id('adv3_url_2'); ?>" name="<?php echo $this->get_field_name('adv3_url_2'); ?>" type="text" value="<?php echo $adv3_url_2; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv3_image_2'); ?>">
				画像ファイルのURL:
				<input class="widefat" id="<?php echo $this->get_field_id('adv3_image_2'); ?>" name="<?php echo $this->get_field_name('adv3_image_2'); ?>" type="text" value="<?php echo $adv3_image_2; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv3_name_2'); ?>">
				名前:
				<input class="widefat" id="<?php echo $this->get_field_id('adv3_name_2'); ?>" name="<?php echo $this->get_field_name('adv3_name_2'); ?>" type="text" value="<?php echo $adv3_name_2; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv3_text_2'); ?>">
				説明:
				<textarea class="widefat" id="<?php echo $this->get_field_id('adv3_text_2'); ?>" name="<?php echo $this->get_field_name('adv3_text_2'); ?>"><?php echo $adv3_text_2; ?></textarea>
			</label></p>
		</fieldset>

		<fieldset>
			<legend>広告３</legend>
			<p><label for="<?php echo $this->get_field_id('adv3_url_3'); ?>">
				リンク先のURL:
				<input class="widefat" id="<?php echo $this->get_field_id('adv3_url_3'); ?>" name="<?php echo $this->get_field_name('adv3_url_3'); ?>" type="text" value="<?php echo $adv3_url_3; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv3_image_3'); ?>">
				画像ファイルのURL:
				<input class="widefat" id="<?php echo $this->get_field_id('adv3_image_3'); ?>" name="<?php echo $this->get_field_name('adv3_image_3'); ?>" type="text" value="<?php echo $adv3_image_3; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv3_name_3'); ?>">
				名前:
				<input class="widefat" id="<?php echo $this->get_field_id('adv3_name_3'); ?>" name="<?php echo $this->get_field_name('adv3_name_3'); ?>" type="text" value="<?php echo $adv3_name_3; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv3_text_3'); ?>">
				説明:
				<textarea class="widefat" id="<?php echo $this->get_field_id('adv3_text_3'); ?>" name="<?php echo $this->get_field_name('adv3_text_3'); ?>"><?php echo $adv3_text_3; ?></textarea>
			</label></p>
		</fieldset>

		<?php
	}
}
add_action('widgets_init', create_function('', 'return register_widget("Banners_3");'));


/*-----------------------------------------------------------------------------------*/
/* バナー広告表示（２列） */
/*-----------------------------------------------------------------------------------*/

class Banners_2 extends WP_Widget {

function Banners_2() {
	$widget_ops = array( 'description' => '広告リンクを２つ、画像付きで表示');
	$this->WP_Widget('banners-2', 'Re:広告リンク（２）', $widget_ops);}

	function widget($args, $instance) {
		extract( $args );
		?>
			<?php echo $before_widget ?>
			<div class="banners">
			<?php {echo '<h3 class="widget-title"><div class="deco">' . $instance['title'] . '</div></h3>';} ?>
			<div class="c2 clearfix">
			<div class="unit">
				<div class="unit1">
					<?php if($instance['adv2_url_1'] == NULL ){ echo "";} else { echo '<a href=" ' . $instance['adv2_url_1'] . ' " target="_blank">';} ?>
						<?php if($instance['adv2_image_1'] == NULL ){ echo "";} else { echo '<div class="image"><img src=" ' . $instance['adv2_image_1'] . ' " /></div>';} ?>
					<?php if($instance['adv2_url_1'] == NULL ){ echo "";} else { echo '</a>';} ?>
					<?php if($instance['adv2_url_1'] == NULL ){ echo "";} else { echo '<a href=" ' . $instance['adv2_url_1'] . ' " target="_blank">';} ?>
						<?php if($instance['adv2_name_1'] == NULL ){ echo "";} else { echo $instance['adv2_name_1'] ;} ?>
					<?php if($instance['adv2_url_1'] == NULL ){ echo "";} else { echo '</a>';} ?>
					<?php if($instance['adv2_text_1'] == NULL ){ echo "";} else { echo '<div class="widget_text">';} ?>
						<?php if($instance['adv2_text_1'] == NULL ){ echo "";} else { echo $instance['adv2_text_1'];} ?>
					<?php if($instance['adv2_text_1'] == NULL ){ echo "";} else { echo '</div>';} ?>
				</div>
			</div>

			<div class="unit">
				<div class="unit2">
					<?php if($instance['adv2_url_2'] == NULL ){ echo "";} else { echo '<a href=" ' . $instance['adv2_url_2'] . ' " target="_blank">';} ?>
						<?php if($instance['adv2_image_2'] == NULL ){ echo "";} else { echo '<div class="image"><img src=" ' . $instance['adv2_image_2'] . ' " /></div>';} ?>
					<?php if($instance['adv2_url_2'] == NULL ){ echo "";} else { echo '</a>';} ?>
					<?php if($instance['adv2_url_2'] == NULL ){ echo "";} else { echo '<a href=" ' . $instance['adv2_url_2'] . ' " target="_blank">';} ?>
						<?php if($instance['adv2_name_2'] == NULL ){ echo "";} else { echo $instance['adv2_name_2'] ;} ?>
					<?php if($instance['adv2_url_2'] == NULL ){ echo "";} else { echo '</a>';} ?>
					<?php if($instance['adv2_text_2'] == NULL ){ echo "";} else { echo '<div class="widget_text">';} ?>
						<?php if($instance['adv2_text_2'] == NULL ){ echo "";} else { echo $instance['adv2_text_2'];} ?>
					<?php if($instance['adv2_text_2'] == NULL ){ echo "";} else { echo '</div>';} ?>
				</div>
			</div>

			</div>
			</div>
			<?php echo $after_widget ?>
		<?php
	}

	function update($new_instance, $old_instance) {
		return $new_instance;
	}

	function form($instance) {
		$title = $instance['title'] ? $instance['title'] : "";
		$adv2_image_1 = $instance['adv2_image_1'] ? $instance['adv2_image_1'] : "";
		$adv2_url_1 = $instance['adv2_url_1'] ? $instance['adv2_url_1'] : "";
		$adv2_name_1 = $instance['adv2_name_1'] ? $instance['adv2_name_1'] : "";
		$adv2_text_1 = $instance['adv2_text_1'] ? $instance['adv2_text_1'] : "";
		$adv2_image_2 = $instance['adv2_image_2'] ? $instance['adv2_image_2'] : "";
		$adv2_url_2 = $instance['adv2_url_2'] ? $instance['adv2_url_2'] : "";
		$adv2_name_2 = $instance['adv2_name_2'] ? $instance['adv2_name_2'] : "";
		$adv2_text_2 = $instance['adv2_text_2'] ? $instance['adv2_text_2'] : "";
		?>

		<p><label for="<?php echo $this->get_field_id('title'); ?>">
			タイトル:
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
		</label></p>
		<fieldset>
			<legend>広告１</legend>
			<p><label for="<?php echo $this->get_field_id('adv2_url_1'); ?>">
				リンク先のURL:
				<input class="widefat" id="<?php echo $this->get_field_id('adv2_url_1'); ?>" name="<?php echo $this->get_field_name('adv2_url_1'); ?>" type="text" value="<?php echo $adv2_url_1; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv2_image_1'); ?>">
				画像ファイルのURL:
				<input class="widefat" id="<?php echo $this->get_field_id('adv2_image_1'); ?>" name="<?php echo $this->get_field_name('adv2_image_1'); ?>" type="text" value="<?php echo $adv2_image_1; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv2_name_1'); ?>">
				名前:
				<input class="widefat" id="<?php echo $this->get_field_id('adv2_name_1'); ?>" name="<?php echo $this->get_field_name('adv2_name_1'); ?>" type="text" value="<?php echo $adv2_name_1; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv2_text_1'); ?>">
				説明:
				<textarea class="widefat" id="<?php echo $this->get_field_id('adv2_text_1'); ?>" name="<?php echo $this->get_field_name('adv2_text_1'); ?>"><?php echo $adv2_text_1; ?></textarea>
			</label></p>
		</fieldset>

		<fieldset>
			<legend>広告２</legend>
			<p><label for="<?php echo $this->get_field_id('adv2_url_2'); ?>">
				リンク先のURL:
				<input class="widefat" id="<?php echo $this->get_field_id('adv2_url_2'); ?>" name="<?php echo $this->get_field_name('adv2_url_2'); ?>" type="text" value="<?php echo $adv2_url_2; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv2_image_2'); ?>">
				画像ファイルのURL:
				<input class="widefat" id="<?php echo $this->get_field_id('adv2_image_2'); ?>" name="<?php echo $this->get_field_name('adv2_image_2'); ?>" type="text" value="<?php echo $adv2_image_2; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv2_name_2'); ?>">
				名前:
				<input class="widefat" id="<?php echo $this->get_field_id('adv2_name_2'); ?>" name="<?php echo $this->get_field_name('adv2_name_2'); ?>" type="text" value="<?php echo $adv2_name_2; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv2_text_2'); ?>">
				説明:
				<textarea class="widefat" id="<?php echo $this->get_field_id('adv2_text_2'); ?>" name="<?php echo $this->get_field_name('adv2_text_2'); ?>"><?php echo $adv2_text_2; ?></textarea>
			</label></p>
		</fieldset>

		<?php
	}
}
add_action('widgets_init', create_function('', 'return register_widget("Banners_2");'));


/*-----------------------------------------------------------------------------------*/
/* バナー広告表示（１列） */
/*-----------------------------------------------------------------------------------*/

class Banners_1 extends WP_Widget {

function Banners_1() {
	$widget_ops = array( 'description' => '広告リンクを１つ、画像付きで表示');
	$this->WP_Widget('banners-1', 'Re:広告リンク（１）', $widget_ops);}

	function widget($args, $instance) {
		extract( $args );
		?>
			<?php echo $before_widget ?>
			<div class="banners">
			<?php {echo '<h3 class="widget-title"><div class="deco">' . $instance['title'] . '</div></h3>';} ?>
			<div class="c1 clearfix">
			<div class="unit">
				<div class="unit2">
					<?php if($instance['adv1_url_1'] == NULL ){ echo "";} else { echo '<a href=" ' . $instance['adv1_url_1'] . ' " target="_blank">';} ?>
						<?php if($instance['adv1_image_1'] == NULL ){ echo "";} else { echo '<div class="image"><img src=" ' . $instance['adv1_image_1'] . ' " /></div>';} ?>
					<?php if($instance['adv1_url_1'] == NULL ){ echo "";} else { echo '</a>';} ?>
					<?php if($instance['adv1_url_1'] == NULL ){ echo "";} else { echo '<a href=" ' . $instance['adv1_url_1'] . ' " target="_blank">';} ?>
						<?php if($instance['adv1_name_1'] == NULL ){ echo "";} else { echo $instance['adv1_name_1'] ;} ?>
					<?php if($instance['adv1_url_1'] == NULL ){ echo "";} else { echo '</a>';} ?>
					<?php if($instance['adv1_text_1'] == NULL ){ echo "";} else { echo '<div class="widget_text">';} ?>
						<?php if($instance['adv1_text_1'] == NULL ){ echo "";} else { echo $instance['adv1_text_1'];} ?>
					<?php if($instance['adv1_text_1'] == NULL ){ echo "";} else { echo '</div>';} ?>
				</div>
			</div>

			</div>
			</div>
			<?php echo $after_widget ?>
		<?php
	}

	function update($new_instance, $old_instance) {
		return $new_instance;
	}

	function form($instance) {
		$title = $instance['title'] ? $instance['title'] : "";
		$adv1_image_1 = $instance['adv1_image_1'] ? $instance['adv1_image_1'] : "";
		$adv1_url_1 = $instance['adv1_url_1'] ? $instance['adv1_url_1'] : "";
		$adv1_name_1 = $instance['adv1_name_1'] ? $instance['adv1_name_1'] : "";
		$adv1_text_1 = $instance['adv1_text_1'] ? $instance['adv1_text_1'] : "";
		?>

		<p><label for="<?php echo $this->get_field_id('title'); ?>">
			タイトル:
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
		</label></p>
		<fieldset>
			<legend>広告１</legend>
			<p><label for="<?php echo $this->get_field_id('adv1_url_1'); ?>">
				リンク先のURL:
				<input class="widefat" id="<?php echo $this->get_field_id('adv1_url_1'); ?>" name="<?php echo $this->get_field_name('adv1_url_1'); ?>" type="text" value="<?php echo $adv1_url_1; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv1_image_1'); ?>">
				画像ファイルのURL:
				<input class="widefat" id="<?php echo $this->get_field_id('adv1_image_1'); ?>" name="<?php echo $this->get_field_name('adv1_image_1'); ?>" type="text" value="<?php echo $adv1_image_1; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv1_name_1'); ?>">
				名前:
				<input class="widefat" id="<?php echo $this->get_field_id('adv1_name_1'); ?>" name="<?php echo $this->get_field_name('adv1_name_1'); ?>" type="text" value="<?php echo $adv1_name_1; ?>" />
			</label></p>
			<p><label for="<?php echo $this->get_field_id('adv1_text_1'); ?>">
				説明:
				<textarea class="widefat" id="<?php echo $this->get_field_id('adv1_text_1'); ?>" name="<?php echo $this->get_field_name('adv1_text_1'); ?>"><?php echo $adv1_text_1; ?></textarea>
			</label></p>
		</fieldset>

		<?php
	}
}
add_action('widgets_init', create_function('', 'return register_widget("Banners_1");'));
