<?php get_header(); ?>
<?php $layout=get_option('re_layout_top');?>
<body <?php body_class(); ?>>

<!-- ▼サイトタイトル、サイトの説明 -->
<header id="branding" role="banner">
<hgroup id="branding-inner">
	<h1 id="site-title"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1>
	<div id="site-description"><?php bloginfo('description'); ?></div>
</hgroup>
</header>
<!-- ▲サイトタイトル、サイトの説明 -->

<!-- ▽グローバルメニュー -->
<?php include (TEMPLATEPATH . "/menu.php"); ?>
<!-- △グローバルメニュー -->

<div id="wrapper" class="<?php if(get_option('re_layout_top')) echo $layout; else echo 'column3'; ?>">
<div id="wrapper-inner">

<div id="page">
<div id="page-inner">

<div id="container">
<div id="container-inner" class="clearfix">

<!-- ▽ウィジェットエリア：ヘッダーバナー -->
<?php {dynamic_sidebar('bigbanner_top');}?>
<!-- △ウィジェットエリア：ヘッダーバナー -->

<div id="contents">
<div id="contents-inner">

<div id="main" role="main">
<div id="main-inner">

	<!-- ▽ウィジェットエリア：トップ メインカラム上 -->
	<?php {dynamic_sidebar('top_main_top');}?>
	<!-- △ウィジェットエリア：トップ メインカラム上 -->

	<?php $posts_per_page=get_option('re_posts_per_page-index');?>
	<?php $paged = get_query_var('paged'); ?>
	<?php query_posts('posts_per_page='.$posts_per_page.'&paged='.$paged); ?>
	<?php
	if ( have_posts() ) : while ( have_posts() ) : the_post();
	?>
		<article class="post img-right clearfix" role="article">
			<div class="post-text">
			<header>
			<h1 class="h1"><div class="deco"><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></div></h1>
			</header>
			<div class="post-img">	
			<a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php if (has_post_thumbnail()) { the_post_thumbnail(); } ?></a>
			</div>
			<div class="post-content clearfix">
				<?php the_content("<span class='moretext'>「" . get_the_title('', '', false) . "」の続きを読む &raquo;</span>"); ?>
				<?php wp_link_pages(); ?>
			</div>
			<p class="meta"><time datetime="<?php echo the_time('Y-m-j'); ?>" pubdate><?php the_time('Y年m月d日（D）'); ?></time>｜<?php the_category(', '); ?></p>
			</div>
		</article>
	<?php
	endwhile;
	endif;
	?>

	<!-- ▽ウィジェットエリア：トップ メインカラム下 -->
	<?php {dynamic_sidebar('top_main_bottom');}?>
	<!-- △ウィジェットエリア：トップ メインカラム下 -->
	
	<!-- ▼ページナビゲーション -->
	<nav class="tablenav">
		<?php global $wp_rewrite;
		$paginate_base = get_pagenum_link(1);
		if (strpos($paginate_base, '?') || ! $wp_rewrite->using_permalinks()) {
			$paginate_format = '';
			$paginate_base = add_query_arg('paged', '%#%');
		} else {
			$paginate_format = (substr($paginate_base, -1 ,1) == '/' ? '' : '/') .
			user_trailingslashit('page/%#%/', 'paged');;
			$paginate_base .= '%_%';
		}
		echo paginate_links( array(
			'base' => $paginate_base,
			'format' => $paginate_format,
			'total' => $wp_query->max_num_pages,
			'mid_size' => 2,
			'current' => ($paged ? $paged : 1),
		)); ?>
	</nav>
	<!-- ▲ページナビゲーション -->

</div><!-- /#main-inner -->
</div><!-- /#main -->

<!-- ▽サイドバー１ -->
<?php get_sidebar('1'); ?>
<!-- △サイドバー１ -->

</div><!-- /#contents-inner -->
</div><!-- /#contents -->

<!-- ▽サイドバー２ -->
<?php get_sidebar('2'); ?>
<!-- △サイドバー２ -->

<div class="cl"></div>

<!-- ▽ウィジェットエリア：フッターバナー -->
<?php {dynamic_sidebar('bigbanner_bottom');}?>
<!-- △ウィジェットエリア：フッターバナー -->

</div><!-- /#container-inner -->
</div><!-- /#container -->

</div><!-- /#page-inner -->
</div><!-- /#page -->

<!-- ▽フッター -->
<?php get_footer(); ?>
<!-- △フッター -->
